local config = {}
local path = "Interface\\Addons\\TidyPlates_MistUI\\images"

config.healthborder = {
	texture      =	path.."\\TidyPlate_Artwork",
	glowtexture  =	path.."\\TidyPlate_Glow",
	elitetexture =	path.."\\TidyPlate_Elite",
	width = 128,
	height = 64,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.threatborder = {
	texture =		path.."\\TidyPlate_Threat_Regular",
	elitetexture =	path.."\\TidyPlate_Threat_Elite",
	width = 128,
	height = 64,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.castborder = {
	texture =		path.."\\Empty",
	width = 128,
	height = 64,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.name = {
	typeface =		path.."\\Calibri.ttf",
	size = 9,
	width = 80,
	height = 9,
	x = 1,
	y = -1,
	align = "LEFT",
	anchor = "TOPLEFT",
	vertical = "BOTTOM",
	shadow = true,
}

config.level = {
	typeface =		path.."\\Calibri.ttf",
	size = 9,
	width = 16,
	height = 9,
	x = -1,
	y = -1,
	align = "RIGHT",
	anchor = "TOPRIGHT",
	vertical = "BOTTOM",
	shadow = true,
}

config.healthbar = {
	texture =		path.."\\TidyPlate_BarTex",
	height = 13,
	width =  96,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.castbar = {
	texture =		path.."\\TidyPlate_BarTex",
	height = 13,
	width = 96,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.specialText = {
	typeface =		path.."\\Calibri.ttf",
	size = 9,
	width = 96,
	height = 9,
	x = 0,
	y = 0,
	align = "RIGHT",
	anchor = "BOTTOMRIGHT",
	vertical = "TOP",
	shadow = true,
}

config.spellicon = {
	width = 13,
	height = 13,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
}

config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
}

config.dangerskull = {
	width = 14,
	height = 14,
	x = 14,
	y = 12,
	anchor = "TOP",
}

config.frame = {
	emptyTexture =	path.."\\Empty",
	width = 96,
	height = 25,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.threatcolor = {
	LOW = { r = 1, g = 1, b = 0, a= 1, },
	MEDIUM = { r = 1, g = 0.5, b = 0, a = 1, },
	HIGH = { r = 1, g = 0, b = 0, a = 1, },
}

config.options = {
	showLevel = true,
	showName = true,
	showSpecialText = false,
	showDangerSkull = false,
	showspellIcon = true,
}

-- For new version
if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["MistUI"] = config